package net.sf.logdistiller.ant;

/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.io.*;

/**
 * Definition of logdistillation configration in Ant buildfile.
 *
 * <pre>
 * &lt;logdistillation&lt;/a&gt; destdir=&quot;&lt;i&gt;[directory to store event groups]&lt;/i&gt;&quot; content=&quot;&lt;i&gt;[content description]&lt;/i&gt;&quot; skipgroups=&quot;&lt;i&gt;[group to skip]&lt;/i&gt;&quot;/&gt;
 * </pre>
 *
 * @deprecated replaced by <code>output</code> element in rules configuration file.
 */
public class AntLogDistillation
{
    private File destdir;

    private String content;

    private String skipgroups = "";

    public AntLogDistillation()
    {
    }

    public void setDestdir( File destdir )
    {
        this.destdir = destdir;
    }

    public File getDestdir()
    {
        return destdir;
    }

    public void setContent( String content )
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }

    public void setSkipgroups( String skipgroups )
    {
        this.skipgroups = skipgroups;
    }

    public String getSkipgroups()
    {
        return skipgroups;
    }
}
