package net.sf.logdistiller.gui;

/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.io.File;

import javax.swing.JFrame;
import javax.swing.JComponent;

/**
 * Main gui launcher.
 */
public class Main
{
    public Main()
    {
    }

    public static void main( String[] args )
    {
        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
        MainPanel mainPanel = new MainPanel( frame );
        JComponent panel = mainPanel.buildPanel();
        frame.getContentPane().add( panel );
        frame.pack();

        if ( args.length > 0 )
        {
            String rules = args[0];
            mainPanel.selectConfigurationFile( new File( rules ) );
        }
        if ( args.length > 1 )
        {
            String logFile = args[1];
            mainPanel.selectSourceFile( new File( logFile ) );
        }
        frame.setVisible( true );
    }
}
