package net.sf.logdistiller.logtypes;

/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.*;

import net.sf.logdistiller.LogType;
import net.sf.logdistiller.LogTypes;

/**
 * Declaration of base logtypes that are shipped with <b>LogDistiller</b>.
 */
public class BaseLogTypes
    extends LogTypes
{
    public final static LogType SIMPLE_LINE = SimpleLineLogEvent.LOGTYPE;

    public final static LogType SYSLOG = SyslogLogEvent.LOGTYPE;

    public final static LogType WEBLOGIC = WeblogicLogEvent.LOGTYPE;

    /** @since 0.7 */
    public final static LogType LOG4J_XML = Log4jXmlLogEvent.LOGTYPE;

    /** @since 0.9 */
    public final static LogType ORACLE_ALERT = OracleAlertLogEvent.LOGTYPE;

    /** @since 0.9 */
    public final static LogType JBOSS = JBossLogEvent.LOGTYPE;

    private final static LogType[] LOGTYPES = { SIMPLE_LINE, SYSLOG, WEBLOGIC, LOG4J_XML, ORACLE_ALERT, JBOSS };

    private final static List LOGTYPES_LIST = Collections.unmodifiableList( Arrays.asList( LOGTYPES ) );

    public List defineLogTypes()
    {
        return LOGTYPES_LIST;
    }
}
