package net.sf.logdistiller.plugins;

/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.*;

import net.sf.logdistiller.Plugin;
import net.sf.logdistiller.Plugins;

/**
 * Declaration of base plugins that are shipped with <b>LogDistiller</b>.
 *
 * @since 0.6
 */
public class BasePlugins
    extends Plugins
{
    public final static Plugin FREQ = FreqPlugin.TYPE;

    public final static Plugin SAMPLING = SamplingPlugin.TYPE;

    private final static Plugin[] PLUGINS = { FREQ, SAMPLING };

    private final static List PLUGINS_LIST = Collections.unmodifiableList( Arrays.asList( PLUGINS ) );

    public List definePlugins()
    {
        return PLUGINS_LIST;
    }
}
