package net.sf.logdistiller.reports;

/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import java.util.*;

import net.sf.logdistiller.ReportFormat;
import net.sf.logdistiller.ReportFormats;

/**
 * Declaration of base report formats that are shipped with <b>LogDistiller</b>.
 *
 * @since 0.8
 */
public class BaseReportFormats
    extends ReportFormats
{
    public final static ReportFormat TEXT = new TextReport();

    public final static ReportFormat XML = new XmlReport();

    private final static ReportFormat[] REPORT_FORMATS = { TEXT, XML };

    private final static List REPORT_FORMATS_LIST = Collections.unmodifiableList( Arrays.asList( REPORT_FORMATS ) );

    public List defineReportFormats()
    {
        return REPORT_FORMATS_LIST;
    }
}
